#!/usr/bin/env bash

### These packages will be added in the default selection when I will find time to document them.
# It should be safe but you still need to be **VERY** careful. 

# REMINDER : "Safe" only means "does not cause bootloop". 
# These packages can definitely break useful features (but you can easily reinstall them with the script)

declare -a pending=(

	# These packages seems to be disguished Xiaomi apps once again! If someone have these packages on their phones, 
	# can someone decompile the apk to confirm this (and try to understand its relevance)?
	#"com.android.systemui.gesture.line.overlay"
	#"com.android.systemui.navigation.bar.overlay"

	############## AOSP ###############
	#"com.android.bluetooth.tempow"
	#"com.android.documentsui.a_overlay"
	#"com.android.dynsystem"
	"com.android.gallery3d.refocus"
	#"com.android.hotspot2"
	#"com.android.internal.systemui.navbar.gestural"
	#"com.android.internal.systemui.navbar.gestural_extra_wide_back"
	#"com.android.internal.systemui.navbar.gestural_narrow_back"
	#"com.android.internal.systemui.navbar.gestural_wide_back"
	#"com.android.internal.systemui.navbar.threebutton"
	#"com.android.internal.systemui.navbar.twobutton"
	#"com.android.localtransport"
	#"com.android.mmi"
	#"com.android.ons"
	#"com.android.otaprovisioningclient"
	#"com.android.phone.a_overlay"
	#"com.android.providers.tctdatahubprovider"
	"com.android.runintest.ddrtest"
	#"com.android.server.telecom.a_overlay"

	############# GOOGLE ##############
	#"com.google.android.captiveportallogin"
	#"com.google.android.documentsui"
	"com.google.android.modulemetadata"
	#"com.google.android.networkstack"
	#"com.google.android.networkstack.permissionconfig"
	#"com.google.android.overlay.gmsconfig"
	#"com.google.android.overlay.gmsgsaconfig"
	#"com.google.android.overlay.modules.ext.services"
	#"com.google.android.overlay.modules.permissioncontroller"
	#"com.google.android.overlay.modules.permissioncontroller.forframework"
	#"com.google.android.packageinstaller.a_overlay"
	#"com.google.android.permissioncontroller"
	"com.google.android.setupwizard.a_overlay"
	"com.google.android.tag"

	############ QUALCOMM #############
	"com.qti.qualcomm.deviceinfo"
	"com.qualcomm.qti.cne"
	# "com.qualcomm.qti.ims"
	"com.qualcomm.qti.performancemode"
	"com.qualcomm.qti.poweroffalarm"
	"com.qualcomm.qti.qdma"
	#"com.qualcomm.qti.seccamservice"
	#"com.qualcomm.qti.services.systemhelper"
	#"com.qualcomm.qti.simcontacts"
	#"com.qualcomm.qti.uceShimService"
	#"com.qualcomm.qti.uimGbaApp"
	#"com.qualcomm.qti.workloadclassifier"
	"com.qualcomm.uimremoteclient"
	#"vendor.qti.hardware.cacert.server"
	#"vendor.qti.iwlan"

	########## THIRD PARTY ############
	"com.verizon.cloudsetupwizard"
	"com.jrd.verizonuriintentservice"
	"com.tcl.vzwintents"
	"com.tct.vzwwifioffload"
	"com.vzw.easvalidation"
	"com.ts.setupwizard.overlay.overlay"
	"com.jrdcom.Elabel.overlay"
	"com.hawk.android.browser"
	"com.hiya.axolotl.tcl"
	"com.jrdcom.Elabel"
	"com.jrdcom.Elabel.a_overlay"
	"com.jrdcom.filemanager"
	"com.jrdcom.filemanager.a_overlay"
	"com.vendor.frameworkresoverlay"

	############# SAMSUNG #############
	"com.samsung.android.mdecservice"
	"com.aura.oobe.samsung"
	"com.samsung.logwriter"
	"com.samsung.android.airtel.stubapp"
	"com.samsung.android.spaymini"
	"com.samsung.SMT"
	"com.samsung.android.mfi"
	"com.samsung.android.tapack.authfw"

	############### SONY ##############	
	"com.sonymobile.devicesecurity.service"
	"com.sonymobile.home.product.res.overlay"
	"com.sonymobile.swiqisystemservice"

	############# HUAWAI ##############
	"com.huawei.android.pushagent"
	"com.huawei.android.thememanager"
	"com.huawei.bd"
	"com.huawei.mirrorlink"
	"com.huawei.securitymgr"

	############## NOKIA ##############
	# Nokia users ! Please give the apk. I can't find them on the web.
	"com.evenwell.batteryprotect.overlay.d.base.s600e0"
	"com.evenwell.factorywizard.overlay.base"
	"com.evenwell.phone.overlay.base"
	"com.evenwell.powersaving.g3.overlay.d.base.s600e0"
	"com.evenwell.settings.data.overlay.base"
	"com.evenwell.SetupWizard.overlay.base"
	"com.evenwell.SetupWizard.overlay.d.base.s600ww"
	"com.evenwell.whitebalance"
	"com.evenwell.whitebalance.overlay.base"
	"com.hmdglobal.datago"
	"com.hmdglobal.datago.overlay.base"
	"com.hmdglobal.enterprise.api"


	########## XIAOMI ###############
	#"com.mi.android.globalminusscreen"
	"com.mi.AutoTest"
	#"com.mi.globallayout"
	"com.miui.audiomonitor"
	"com.miui.backup"
	#"com.miui.core"
	"com.miui.face"
	"com.miui.fmservice"
	"com.miui.freeform"
	#"com.miui.global.packageinstaller"
	"com.miui.guardprovider"
	#"com.miui.miservice"
	#"com.miui.misound"
	#"com.miui.notification"
	"com.miui.phrase"
	#"com.miui.powerkeeper"
	#"com.miui.rom"
	#"com.miui.securitycore"
	"com.miui.smsextra"
	"com.miui.sysopt"
	#"com.miui.system"
	#"com.miui.systemui.carriers.overlay"
	#"com.miui.systemui.devices.overlay"
	#"com.miui.systemui.overlay.devices.android"
	#"com.miui.wmsvc"
	#"com.wapi.wapicertmanager"
	"com.wingtech.standard"
	"com.wt.secret_code_manager"
	#"com.xiaomi.bluetooth"
	#"com.xiaomi.bluetooth.overlay"
	#"com.xiaomi.location.fused"
	"com.xiaomi.mi_connect_service"
	#"com.xiaomi.misettings"
	#"com.xiaomi.powerchecker"
	#"com.xiaomi.simactivate.service"
	"com.xiaomi.upnp"
	"com.xiaomi.xmsf"
	"com.xiaomi.xmsfkeeper"
	#"org.simalliance.openmobileapi.uicc1terminal"
	#"org.simalliance.openmobileapi.uicc2terminal"
	"se.dirac.acs"

	"com.fido.asm"
	#"com.fido.xiaomi.uafclient"
	#"com.lbe.security.miui"
	#"com.mediatek"
	"com.mediatek.atmwifimeta"
	#"com.mediatek.callrecorder"
	"com.mediatek.engineermode"
	#"com.mediatek.gpslocationupdate"
	#"com.mediatek.ims"
	#"com.mediatek.location.lppe.main"
	"com.mediatek.mdmconfig"
	"com.mediatek.mtklogger"
	#"com.mediatek.nlpservice"
	#"com.mediatek.omacp"
	"com.mediatek.providers.drm"
	"com.mediatek.wfo.impl"
	#"android.telephony.overlay.cmcc"
	"android.ui.overlay.ct"
	"com.android.backup"
	"com.android.mms.overlay.cmcc"
	"com.android.networksettings.overlay.ct"
	#"com.android.settings.overlay.cmcc"
	#"com.android.systemui.overlay.cmcc"
	#"com.android.systemui.overlay.ct"
	#"com.android.wallpaperpicker"

	########### TCL ############
	"android.autoinstalls.config.TCL.PAI"
	#"com.tcl.android.launcher"
	#"com.tcl.android.launcher.a_overlay"
	#"com.tcl.android.launchertheme.res"
	#"com.tcl.android.launchertheme.res.overlay"
	#"com.tcl.android.wallpaper.livepicker"
	"com.tcl.aota.a_overlay"
	#"com.tcl.camera"
	#"com.tcl.camera.a_overlay"
	"com.tcl.compass"
	"com.tcl.compass.a_overlay"
	"com.tcl.demopage"
	#"com.tcl.entitlement"
	#"com.tcl.faceunlock"
	"com.tcl.fmradio"
	"com.tcl.fmradio.a_overlay"
	#"com.tcl.fota.system"
	#"com.tcl.fota.system.a_overlay"
	"com.tcl.healthy"
	"com.tcl.logger.a_overlay"
	"com.tcl.mibc.tclplus"
	"com.tcl.mibc.tclplus.a_overlay"
	"com.tcl.nfc.gsma.usermenu"
	"com.tcl.screenrecorder"
	"com.tcl.screenrecorder.a_overlay"
	"com.tcl.screenshotex"
	"com.tcl.sos"
	"com.tcl.tclswitch.a_overlay"
	"com.tcl.token"
	"com.tcl.usercare"
	"com.tcl.usercare.a_overlay"
	#"com.tclhz.gallery"
	#"com.tclhz.gallery.a_overlay"
	#"com.tct"
	#"com.tct.aio"
	#"com.tct.android.secureinput"
	"com.tct.applock"
	"com.tct.batterywarning"
	"com.tct.calculator"
	"com.tct.calculator.a_overlay"
	"com.tct.cellular.arda"
	"com.tct.contacts.transfer"
	"com.tct.contacts.transfer.a_overlay"
	"com.tct.diagprotector"
	#"com.tct.dialer"
	#"com.tct.dialer.a_overlay"
	#"com.tct.faceunlock"
	"com.tct.gamemode"
	"com.tct.gdpr"
	#"com.tct.iris"
	"com.tct.music"
	"com.tct.onetouchbooster"
	"com.tct.onetouchbooster.a_overlay"
	"com.tct.privacymode"
	"com.tct.privatespace"
	"com.tct.retaildemo"
	"com.tct.retaildemo.a_overlay"
	"com.tct.setupwizard"
	"com.tct.simplelauncher"
	"com.tct.simplelauncher.a_overlay"
	#"com.tct.simsettings"
	"com.tct.smart.account"
	"com.tct.smart.aikey"
	"com.tct.smart.cloud"
	"com.tct.smart.drivemode"
	"com.tct.smart.notes"
	"com.tct.smart.switchphone"
	"com.tct.smart.switchphone.service"
	"com.tct.soundrecorder"
	#"com.tct.systemservice"
	"com.tct.video"
	"com.tct.weather"
	"com.tct.weather.a_overlay"
	#"com.tct.wfcwebiew"
	)
